/**
 * DREAM
 * Copyright (C) 2003 2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s):
 */

package org.objectweb.dream.protocol.atomicity;

/**
 * Component interface used to give the thread that is executing a reaction.
 * This interface is provided by the Atonic Router. This component choose a
 * route for a given message depending on the calling thread.
 */
public interface SetReactorThread
{

  /** the default name of this interface */
  String SET_REACTOR_THREAD_ITF_NAME = "setReactorThread";

  /**
   * Gives the thread that is executing a reaction.
   * 
   * @param reactorThread the thread that is executing a reaction.
   */
  void setReactorThread(Thread reactorThread);
}